<?php

use App\Authority;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddAuthoritiesOrderGenerateRejectedAndBlindReceive extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        (new Authority(['name'=>'订单管理-订单-生成退货单','alias_name'=>'订单管理-订单-生成退货单']))->save();
        (new Authority(['name'=>'入库管理-盲收','alias_name'=>'入库管理-盲收']))->save();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Authority::where('name','订单管理-订单-生成退货单')->delete();
        Authority::where('name','入库管理-盲收')->delete();
    }
}
